Bug 1883965 - The nodejs:12/development module is not installable [rhel-8.1.0.z]
Summary: The nodejs:12/development module is not installable [rhel-8.1.0.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: nodejs
Version: 8.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Zuzana Svetlikova
QA Contact: Jan Houska
URL:
Whiteboard:
Depends On: 1856776
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-30 15:35 UTC by RHEL Program Management Team
Modified: 2020-11-04 12:32 UTC (History)
4 users (show)

Fixed In Version: new nodejs-devel-1:12.18.4-2.module+el8.1.0+8360+14141500
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1856776
Environment:
Last Closed: 2020-11-04 12:32:26 UTC
Type: ---
Target Upstream Version:


Attachments (Terms of Use)

Comment 7 Jan Houska 2020-10-15 14:23:40 UTC
VERIFIED:

OLD FAILED:
version:
nodejs-devel-1:12.18.2-1.module+el8.1.0+7232+f8b5ede5


Error: 
:: [ 12:49:35 ] :: [  BEGIN   ] :: Running 'yum module install  -y nodejs:12/development --allowerasing'
Updating Subscription Management repositories.
Unable to read consumer identity
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Last metadata expiration check: 0:02:42 ago on Wed 14 Oct 2020 12:46:55 PM EDT.
Error: 
 Problem: cannot install the best candidate for the job
  - nothing provides brotli-devel(aarch-64) needed by nodejs-devel-1:12.18.2-1.module+el8.1.0+7232+f8b5ede5.aarch64
(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)
:: [ 12:49:41 ] :: [   FAIL   ] :: Command 'yum module install  -y nodejs:12/development --allowerasing' (Expected 0, got 1)




NEW  PASS:
new nodejs-devel-1:12.18.4-2.module+el8.1.0+8360+14141500


:: [ 11:08:51 ] :: [  BEGIN   ] :: Running 'yum module reset -y nodejs:12/development'
Updating Subscription Management repositories.
Unable to read consumer identity
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Last metadata expiration check: 0:06:18 ago on Thu 15 Oct 2020 11:02:34 AM CEST.
Only module name is required. Ignoring unneeded information in argument: 'nodejs:12/development'
Dependencies resolved.
Nothing to do.
Complete!
:: [ 11:08:56 ] :: [   PASS   ] :: Command 'yum module reset -y nodejs:12/development' (Expected 0, got 0)

Comment 11 errata-xmlrpc 2020-11-04 12:32:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: nodejs:12 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4903


Note You need to log in before you can comment on or make changes to this bug.